#
# spec file for package kdelibs4 (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdelibs4
BuildRequires:  alsa-devel aspell-devel cmake cups-devel giflib-devel hicolor-icon-theme
BuildRequires:  libQtWebKit-devel libattr-devel libpng-devel libqt4-devel libtiff-devel libxslt-devel unzip
BuildRequires:  libsoprano-devel pcre-devel phonon-devel shared-mime-info
BuildRequires:  kde4-filesystem strigi strigi-devel update-desktop-files
BuildRequires:  OpenEXR-devel automoc4 bison enchant-devel fam-devel flex libacl-devel utempter
%if %suse_version > 1110
BuildRequires:  xz-devel
%else
%if %suse_version > 1030
BuildRequires:  lzma-devel
%endif
%endif
%if %suse_version > 1030
BuildRequires:  libgssglue-devel
%endif
%if %suse_version > 1020
BuildRequires:  avahi-compat-mDNSResponder-devel fdupes libjasper-devel
%else
BuildRequires:  libjasper libqt4-debuginfo
%endif
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE Base Libraries
Url:            http://www.kde.org
Version:        4.3.5
Release:        0.1.1
Requires:       libstrigi0 >= %( echo `rpm -q --queryformat '%{VERSION}' strigi-devel`)
Requires:       soprano >= %( echo `rpm -q --queryformat '%{VERSION}' libsoprano-devel`)
Recommends:     strigi >= %( echo `rpm -q --queryformat '%{VERSION}' strigi-devel`)
Requires:       kdelibs4-core = %version
Requires:       libkde4 = %version
Requires:       shared-mime-info >= %( echo `rpm -q --queryformat '%{VERSION}' shared-mime-info`)
Source0:        kdelibs-%version.tar.bz2
Source2:        hidden.desktop
Source3:        ycp.xml
Source4:        kde4rc
Patch0:         4_3_BRANCH.diff
Patch1:         kde3-applications.diff
Patch2:         default-useragent.diff
Patch3:         add-suse-translations.diff
Patch5:         clever-menu.diff
Patch6:         hotplug-kde3.diff
Patch7:         kde3-autostart.diff
Patch8:         windeco-color.diff
Patch9:         kdesu-settings.diff
Patch10:        kdebug-areas-update.diff
Patch11:        display-key-support.diff
Patch12:        desktop-translations.diff
Patch13:        kjs-mark-register-stack.diff
Patch17:        flash-player-non-oss.diff
Patch18:        plasma-libs.diff
Patch19:        oom-protect.diff
Patch20:        ignore-inline-menu.diff
Patch21:        policykit-workaround.patch
Patch22:        oom-protect-fix.diff
Patch26:        kstyle-no-dynamic-cast-bnc529640.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %suse_version > 1010
%requires_ge    libqt4-x11
%else
Requires:       qt-x11 >= %( echo `rpm -q --queryformat '%{VERSION}' qt-x11`)
%endif
%if 0%{?opensuse_bs}
%define debug_package_requires %name = %version-%release libqt4-debuginfo
%endif
%if %suse_version == 1110
Requires:       %name-branding = 11.1
%endif
%if %suse_version > 1110
Requires:       %name-branding = 11.2
%endif

%description
This package contains the basic packages of the K Desktop Environment.
It contains the necessary libraries for the KDE desktop.

This package is absolutely necessary for using graphical KDE
applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%package branding-upstream
Summary:        KDE Base Libraries
License:        LGPLv2.1+
Group:          System/GUI/KDE
%if %suse_version == 1110
Provides:       %{name}-branding = 11.1
%endif
%if %suse_version > 1110
Provides:       %{name}-branding = 11.2
%endif
Conflicts:      otherproviders(%{name}-branding)
Supplements:    packageand(kdelibs4:branding-upstream)

%description branding-upstream
This package contains the basic packages for a K Desktop Environment
branding.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdelibs-%version
%patch0
%patch1
%patch2
%patch3
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch17
%patch18
%patch19
%patch20
%patch21 -p1
%patch22
%patch26
#
# define KDE version exactly
#
sed -ri "s,#cmakedefine KDE_VERSION_STRING \"@KDE_VERSION_STRING@\",#cmakedefine KDE_VERSION_STRING \"@KDE_VERSION_STRING@ \\\\\"release $(echo %release | cut -d. -f-1)\\\\\"\"," kdecore/util/kdeversion.h.cmake

%build
  EXTRA_FLAGS="-DLIB_INSTALL_DIR=%{_kde_libdir} \
        -DCONFIG_INSTALL_DIR=%{_kde_config_dir} \
        -DDATA_INSTALL_DIR=%{_kde_share_dir}/apps \
        -DKCFG_INSTALL_DIR=%{_kde_share_dir}/config.kcfg \
        -DMIME_INSTALL_DIR=/nogo \
        -DTEMPLATES_INSTALL_DIR=%{_kde_share_dir}/templates \
        -DHTML_INSTALL_DIR=%{_kde_html_dir} \
        -DKDE_DEFAULT_HOME=.kde4"
  %cmake_kde4 -d build -- -DKDE_DISTRIBUTION_TEXT="%distribution" $EXTRA_FLAGS
  %make_jobs

%install
  cd build
  %makeinstall
  %create_subdir_filelist -d kdecore -v kdecore.devel
  %create_subdir_filelist -d kpty -f kdecore -v kdecore.devel
  cd ..
  %create_exclude_filelist
  mkdir -p $RPM_BUILD_ROOT/etc/xdg/menus/applications-merged
  mv $RPM_BUILD_ROOT/usr/etc/xdg/menus/applications.menu \
     $RPM_BUILD_ROOT/etc/xdg/menus/applications.menu.kde4
  rm $RPM_BUILD_ROOT/usr/share/man/man1/checkXML.1
  mv $RPM_BUILD_ROOT/usr/share/man/man7/kdeoptions.7 \
     $RPM_BUILD_ROOT/usr/share/man/man7/kde4options.7
  mv $RPM_BUILD_ROOT/usr/share/man/man7/qtoptions.7 \
     $RPM_BUILD_ROOT/usr/share/man/man7/qt4options.7
  %if %suse_version > 1020
  %fdupes -s $RPM_BUILD_ROOT
  %endif
  mkdir -p $RPM_BUILD_ROOT/usr/share/autostart/
  install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/usr/share/autostart/panel.desktop
  install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/usr/share/autostart/ktip.desktop
  install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/usr/share/autostart/kdesktop.desktop
  install -m 0644 %SOURCE3 $RPM_BUILD_ROOT//usr/share/kde4/apps/katepart/syntax/ycp.xml
  install -m 0644 %SOURCE4 $RPM_BUILD_ROOT/etc/
  mkdir -p $RPM_BUILD_ROOT/%_libdir/kconf_update_bin
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf filelists

%package doc
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        Documentation for KDE Base Libraries
Requires:       sgml-skel
%define regcat /usr/bin/sgml-register-catalog
PreReq:         %{regcat} /usr/bin/xmlcatalog /usr/bin/edit-xml-catalog
PreReq:         sed grep awk

%description doc
This package contains the core environment and templates for the KDE
help system.



Authors:
--------
    The KDE Team <kde@kde.org>

%files doc
%defattr(-,root,root)
%_kde4_bindir/meinproc4
%_kde4_appsdir/ksgmltools2
%doc %lang(en) %_kde4_htmldir/en/kioslave

%package -n libkdecore4
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE Core Libraries

%description -n libkdecore4
This package contains the core libraries of the K Desktop Environment.

This package is absolutely necessary for using KDE applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n libkdecore4 -p /sbin/ldconfig

%postun -n libkdecore4 -p /sbin/ldconfig

%files -n libkdecore4
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README
%_kde4_libdir/libkdecore.so.*
%_kde4_libdir/libkdefakes.so.*
%_kde4_libdir/libkpty.so.*

%package -n kdelibs4-core
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE Base Libraries
Requires:       kde4-filesystem >= %_kde_platform_version
%requires_ge    libqt4
Requires:       libkdecore4 = %version

%description -n kdelibs4-core
This package contains the basic packages of the K Desktop Environment.
It contains the necessary libraries for the KDE desktop.

This package is absolutely necessary for using graphical KDE
applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n kdelibs4-core -f filelists/kdecore
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README
%exclude %_kde4_libdir/libkdecore.so.*
%exclude %_kde4_libdir/libkdefakes.so.*
%exclude %_kde4_libdir/libkpty.so.*
%exclude %_kde4_bindir/kconfig_compiler
%dir %_kde4_libdir/kde4
%dir %_kde4_sharedir/servicetypes
%config %_kde_config_dir/kdebug.areas
%config %_kde_config_dir/kdebugrc
%config %_kde4_sysconfdir/kde4rc

%package -n libkdecore4-devel
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE Core Libraries: Build Environment
Requires:       libkdecore4 = %{version}
Requires:       kdelibs4-core = %version cmake automoc4

%description -n libkdecore4-devel
This package contains all necessary include files and libraries needed
to develop non-graphical KDE applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n libkdecore4-devel -f filelists/kdecore.devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README
%_kde4_bindir/kconfig_compiler

%package -n libkde4
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE Base Libraries

%description -n libkde4
This package contains the basic packages of the K Desktop Environment.
It contains the necessary libraries for the KDE desktop.

This package is absolutely necessary for using graphical KDE
applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n libkde4 -p /sbin/ldconfig

%postun -n libkde4 -p /sbin/ldconfig

%files branding-upstream
%defattr(-,root,root)
%doc COPYING.LIB
%_kde4_appsdir/kdeui/about/body-background.jpg

%files -n libkde4
%defattr(-,root,root)
%doc COPYING COPYING.DOC COPYING.LIB README
%_kde4_libdir/libkde3support.so.*
%_kde4_libdir/libkdesu.so.*
%_kde4_libdir/libkdeui.so.*
%_kde4_libdir/libkdnssd.so.*
%_kde4_libdir/libkfile.so.*
%_kde4_libdir/libkhtml.so.*
%_kde4_libdir/libkimproxy.so.*
%_kde4_libdir/libkio.so.*
%_kde4_libdir/libkjs.so.*
%_kde4_libdir/libkjsapi.so.*
%_kde4_libdir/libkjsembed.so.*
%_kde4_libdir/libkmediaplayer.so.*
%_kde4_libdir/libknotifyconfig.so.*
%_kde4_libdir/libkntlm.so.*
%_kde4_libdir/libkparts.so.*
%_kde4_libdir/libkrosscore.so.*
%_kde4_libdir/libktexteditor.so.*
%_kde4_libdir/libkunittest.so.*
%_kde4_libdir/libkutils.so.*
%_kde4_libdir/libkrossui.so.*
%_kde4_libdir/libsolid.so.*
%_kde4_libdir/libplasma.so.*
%_kde4_libdir/libthreadweaver.so.*
%_kde4_libdir/libkfile.so.*
%_kde4_libdir/libknewstuff2.so.*
%_kde4_libdir/libnepomuk.so.*
/usr/share/locale/all_languages

%package -n libkde4-devel
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE Base Libraries: Build Environment
Requires:       kdelibs4 = %version 
Requires:       kdelibs4-doc = %version 
Requires:       libkde4 = %version libkdecore4-devel = %version
Requires:       libxslt-devel libattr-devel aspell-devel libtiff-devel pcre-devel
Requires:       libQtWebKit-devel
%if %suse_version > 1010
Requires:       libqt4-devel
%else
Requires:       qt-devel
%endif
Requires:       giflib-devel alsa-devel cups-devel
%if %suse_version > 1020
Requires:       avahi-compat-mDNSResponder-devel
%endif
Requires:       libjpeg-devel libidn-devel  libbz2-devel
Requires:       libxml2-devel update-desktop-files strigi-devel
Requires:       fam-devel enchant-devel OpenEXR-devel
Requires:       phonon-devel libacl-devel

%description -n libkde4-devel
This package contains all necessary include files and libraries needed
to develop KDE applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n libkde4-devel -f filelists/exclude
%defattr(-,root,root)
/usr/include/*
%_kde4_appsdir/cmake
%exclude %_kde4_libdir/libkdeinit4_*.so
%_kde4_libdir/*.so

%files -f filelists/exclude
%defattr(-,root,root)
%exclude %_kde4_bindir/meinproc4
%exclude %_kde4_appsdir/ksgmltools2
%exclude %_kde4_appsdir/cmake
%exclude %_kde4_appsdir/kdeui/about/body-background.jpg
%config %_kde_config_dir/*
%dir %_kde4_sysconfdir/xdg/menus
%dir %_kde4_libdir/kde4
%dir %_kde4_libdir/kconf_update_bin
%dir /usr/share/autostart
%dir /usr/share/doc/kde
%dir %_kde4_docdir/HTML
%dir %_kde4_htmldir/en
%dir %_kde4_htmldir/en/common
%dir %_kde4_sharedir/servicetypes
%doc %lang(en) %_kde4_htmldir/en/sonnet
%_kde4_sysconfdir/xdg/menus/applications.menu.kde4
%_kde4_modulesdir/*
%_kde_html_dir/en/common/*
%_kde4_appsdir/*
%_kde4_servicesdir/*
%_kde4_servicetypesdir/*
%_kde4_libdir/libkdeinit4_*.so
%_kde4_bindir/*
/usr/share/autostart/kdesktop.desktop
/usr/share/autostart/panel.desktop
/usr/share/autostart/ktip.desktop
/usr/share/dbus-1/interfaces/*
%_kde4_iconsdir/hicolor/*/actions/presence_away.*
%_kde4_iconsdir/hicolor/*/actions/presence_offline.*
%_kde4_iconsdir/hicolor/*/actions/presence_online.*
%_kde4_iconsdir/hicolor/*/actions/presence_unknown.*
# why are these no longer installed ?? (2009-01-08)
%if 0
%_kde4_iconsdir/hicolor/*/actions/abs.*
%_kde4_iconsdir/hicolor/*/actions/brackets.*
%_kde4_iconsdir/hicolor/*/actions/frac.*
%_kde4_iconsdir/hicolor/*/actions/gsub.*
%_kde4_iconsdir/hicolor/*/actions/gsup.*
%_kde4_iconsdir/hicolor/*/actions/inscol.*
%_kde4_iconsdir/hicolor/*/actions/insrow.*
%_kde4_iconsdir/hicolor/*/actions/int.*
%_kde4_iconsdir/hicolor/*/actions/lsub.*
%_kde4_iconsdir/hicolor/*/actions/lsup.*
%_kde4_iconsdir/hicolor/*/actions/matrix.*
%_kde4_iconsdir/hicolor/*/actions/multiline.*
%_kde4_iconsdir/hicolor/*/actions/onetwomatrix.*
%_kde4_iconsdir/hicolor/*/actions/over.*
%_kde4_iconsdir/hicolor/*/actions/paren.*
%_kde4_iconsdir/hicolor/*/actions/prod.*
%_kde4_iconsdir/hicolor/*/actions/remcol.*
%_kde4_iconsdir/hicolor/*/actions/remrow.*
%_kde4_iconsdir/hicolor/*/actions/rsub.*
%_kde4_iconsdir/hicolor/*/actions/rsup.*
%_kde4_iconsdir/hicolor/*/actions/sqrt.*
%_kde4_iconsdir/hicolor/*/actions/sum.*
%_kde4_iconsdir/hicolor/*/actions/under.*
%endif
%_kde4_mandir/man*/*
/usr/share/mime/packages/kde.xml

%changelog
* Sun Jan 31 2010 llunak@novell.com
- fix OOM protection not being reset for any kdeinit process
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Tue Dec  1 2009 llunak@novell.com
- fix permanent cache miss harming SVG performance in Plasma
* Tue Nov 24 2009 llunak@novell.com
- fix SLE branding requires
* Mon Nov 23 2009 llunak@novell.com
- fix array overrun (CVE-2009-0689) (bnc#557126)
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Wed Nov 18 2009 llunak@novell.com
- fix build with glibc2.11
* Mon Oct 19 2009 beineri@opensuse.org
- fix common crash in KHTMLPart destructor (kde#209960, bnc#548018)
* Tue Oct 13 2009 llunak@novell.com
- avoid invisible texts in OOo KDE4 file dialogs (bnc#529640)
* Fri Oct  9 2009 llunak@novell.com
- fix Ctrl+W KHTML crash (kde#207173)
* Thu Oct  8 2009 llunak@novell.com
- use xdg-user-dir locations (bnc#540574)
* Thu Oct  8 2009 llunak@novell.com
- do not miss some translations from .desktop files (bnc#442800)
* Mon Oct  5 2009 llunak@novell.com
- make disabling initial ksycoca check work (bnc#536545)
* Sun Oct  4 2009 beineri@opensuse.org
- update khtml to 4.3.2 release level for several crash fixes, like
  gmail (kde#202699), bahn.de (kde#204050), kde#192755, kde#206038
* Thu Sep 24 2009 beineri@opensuse.org
- created kdelibs4-branding-upstream subpackage for app about pages
- add Fedora PolicyKit patch to allow partition mount (bnc#533246)
- update 4_3_BRANCH.diff:
  - Logout from utmp when the KPtyProcess finishes
  - Fix kio_http to be able to authenticate against a http server
    that returns no body with 401 error code like eGroupware
  - several minor khtml and plasma bug fixes
* Wed Sep  9 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff:
  - khtml bug fixes
  - plasma performance and bug fixes
  - fix default browser if konqueror is not installed (kde#206581)
  - improved translations
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Wed Aug 26 2009 beineri@opensuse.org
- ignore inline attribute in applications.menu as its implementation
  is broken and continue to rely on short-menu.diff (bnc#529057)
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Tue Aug 18 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff:
  * fix KIO::unmount() parameters
  * download less nepomuk ontology data
  * schedule jobs to prevent spawning of too many ioslaves
  * fix possible data loss bug in kio/kfileitem (kde#195385)
* Fri Aug  7 2009 beineri@opensuse.org
- branch update for kio and Plasma caching fixes
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Fri Jul 24 2009 llunak@novell.com
- fix the OOM patch to not break 'ps ux'
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Tue Jul 21 2009 llunak@novell.com
- bison and flex requires for Solid
* Tue Jul 21 2009 llunak@novell.com
- add protection against OOM-killer from KDE trunk
* Wed Jul  8 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed Jun  3 2009 beineri@opensuse.org
- fix previous fix
* Tue Jun  2 2009 dmueller@suse.de
- restore files that were deleted during last checkin cycle
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Tue May 12 2009 beineri@opensuse.org
- bump to 4.2.3.1 to help solver with libqt4 update (bnc#502984)
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Thu Apr  9 2009 beineri@opensuse.org
- update 4_2_BRANCH.diff: some html fixes and fix start menu not
  getting focus and not closing with anywhere click (kde#188655)
* Fri Apr  3 2009 wstephenson@suse.de
- add patch so that Qt 4.5 users on < 11.2 do not suffer kde#186038
* Thu Mar 26 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Sun Mar 15 2009 coolo@suse.de
- update 4_2_BRANCH.diff for some khtml fixes
* Thu Feb 26 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Thu Feb 26 2009 dmueller@suse.de
- add missing buildrequires for proper utemper support (bnc#478661)
* Wed Feb 18 2009 coolo@suse.de
- update 4_2_BRANCH.diff again to fix plasma regressions that
  caused staying plasma applets
* Thu Feb 12 2009 coolo@suse.de
- update 4_2_BRANCH.diff:
  * several plasma fixes from their hack event
  * khtml fixes
* Mon Feb  9 2009 coolo@suse.de
- only take the first part of the release into kdeversion
* Wed Feb  4 2009 stbinner@suse.de
- backport app dupes in sycoca prevention (bnc#463326, bnc#468696)
* Tue Feb  3 2009 stbinner@suse.de
- update 4_2_BRANCH.diff:
  * kdecore: Repair klauncher support for unique-applications
  * kdecore: Fix "klauncher hangs when kdeinit4 dies".
  * kio: Properly update the directory view when aborting a move
    operation, otherwise confusion and data loss could happen.
  * kded: directories with desktop files were not watched anymore
- allow creation of Plasma containments without toolbox
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Sat Jan 17 2009 dmueller@suse.de
- don't hardcode rebuild counter
* Tue Jan 13 2009 stbinner@suse.de
- update to 4.1.96
* Fri Jan  9 2009 dmueller@suse.de
- update to 4.1.87 (KDE 4.2 Januar snapshot)
* Mon Jan  5 2009 dmueller@suse.de
- build with acl support
* Fri Jan  2 2009 cgoncalves@opensuse.org
- get a missing Flash plugin not from Adobe but non-oss
  (original idea from bnc#304999)
* Fri Dec 12 2008 wstephenson@suse.de
- Fix display of autocomplete widget (bnc#448621, kde#176058)
* Thu Dec 11 2008 dmueller@suse.de
- hide kde3's ktip in kde 4.x sessions (bnc#458323)
* Thu Nov 20 2008 wstephenson@suse.de
- update branch diff
  * Fix maximised main windows not being session restored to
    correct size (kde#150772)
* Tue Nov 18 2008 stbinner@suse.de
- make single click in file dialog only select file (bnc#427318)
* Tue Nov 11 2008 stbinner@suse.de
- install Solid powermanagement interfaces for Powerdevil
* Fri Nov  7 2008 llunak@suse.cz
- shortcut handling fixes (bnc#420480)
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Wed Oct 29 2008 stbinner@suse.de
- load translations also from kde4-SLE catalog
* Wed Oct 22 2008 stbinner@suse.de
- debug_package_requires depend also on %%release
* Wed Oct 15 2008 dmueller@suse.de
- update branch diff:
  * fixes frequent kded4 crashes in global accel handling
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Thu Sep 25 2008 schwab@suse.de
- Mark register stack in collector.
* Mon Sep 15 2008 llunak@suse.cz
- read .desktop file translations from .mo files if not present
  (fate#300461)
* Sat Sep 13 2008 stbinner@suse.de
- actually apply patch from last commit
* Fri Sep 12 2008 llunak@suse.cz
- support for Display key (fate#4147)
* Mon Sep  8 2008 stbinner@suse.de
- update branch diff
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Thu Aug 21 2008 stbinner@suse.de
- patch to build against Strigi 0.6
* Wed Aug 20 2008 dmueller@suse.de
- update branch diff
* Sat Aug 16 2008 stbinner@suse.de
- 4_1_BRANCH update (fixes eg kde#167826)
* Thu Jul 31 2008 dmueller@suse.de
- 4_1 BRANCH update
* Mon Jul 28 2008 llunak@suse.cz
- return kdesu password timeout back to 2 hours (bnc#404521)
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Thu Jul 17 2008 dmueller@suse.de
- update to 4.0.99
* Mon Jul 14 2008 dmueller@suse.de
- tighten version dependencies within kdelibs4 (bnc#405655)
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Thu Jul  3 2008 dmueller@suse.de
- update to 4.0.85
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Mon May 26 2008 llunak@suse.cz
- add locale and html bundle paths to kde4rc (bnc#393960)
* Tue May 20 2008 llunak@suse.cz
- do not always default to kdesu remembering password (bnc#386531)
* Tue May 20 2008 llunak@suse.cz
- fix last patch (bnc#389765)
* Mon May 19 2008 llunak@suse.cz
- fix kdesu sometimes being broken when password saving is used
  (bnc#389765)
* Thu May 15 2008 dmueller@suse.de
- fix off-by-one in progress calculation (bnc#382809)
* Wed May 14 2008 llunak@suse.cz
- support for KDE3 hotplug actions (bnc#378338)
* Fri May  9 2008 dmueller@suse.de
- 4_0_BRANCH.diff update:
  * fixes crash handler not always being installed
* Fri May  9 2008 llunak@suse.cz
- kdelibs4.1 functionality for kdepim4.1
* Thu May  8 2008 dmueller@suse.de
- fix klauncher crash on exit (bnc#373637)
- fix widget painting issues in khtml (bnc#377963)
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://www.kde.org/announcements/changelogs/changelog4_0_3to4_0_4.php
* Fri Apr 25 2008 llunak@suse.cz
- change kdesu defaults to keeping a password for 5min (bnc#216796)
* Wed Apr 16 2008 dmueller@suse.de
- load suse translations
* Thu Apr 10 2008 dmueller@suse.de
- fix detection of KDE 4.1 akonadi backport
* Thu Apr 10 2008 stbinner@suse.de
- don't dump mime types of KDE3 apps but give it only low priority
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Apr  3 2008 stbinner@suse.de
- add YCP highlighting for kate-part (bnc#371979)
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Mon Mar 17 2008 dmueller@suse.de
- fix window icon not being selected properly (bnc#371677)
- fix workspace crashes during drive unplug (bnc#360059)
* Mon Mar 17 2008 dmueller@suse.de
- fix solid crashes on deletion (bnc#360059)
* Sun Mar 16 2008 stbinner@suse.de
- backport UDS_TARGET_URL from trunk for kde4-kio_beagle
* Thu Mar 13 2008 dmueller@suse.de
- add compatibility with KDE 4.1 kdepimlibs
* Tue Mar 11 2008 dmueller@suse.de
- update 4_0_BRANCH.diff
  * fixes full screen handling, kssl security dialog changes
  * ksycoca recreation fix
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Wed Feb  6 2008 stbinner@suse.de
- move Kicker/KDesktop prevention from autostarting in KDE4 here
* Mon Feb  4 2008 stbinner@suse.de
- fix build
* Mon Feb  4 2008 llunak@suse.cz
- add support for KDE3 autostart
* Thu Jan 31 2008 dmueller@suse.de
- update to KDE 4.0.1
* Sun Jan 27 2008 stbinner@suse.de
- add clever-menu.diff port
* Wed Jan 23 2008 stbinner@suse.de
- update 4_0_BRANCH.diff
- patch more places to use ~/.kde4
* Sun Jan 20 2008 stbinner@suse.de
- update 4_0_BRANCH.diff
* Sat Jan  5 2008 stbinner@suse.de
- update to 4.0 release
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Thu Dec  6 2007 dmueller@suse.de
- restore source compatibility
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Tue Nov  6 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Thu Nov  1 2007 dmueller@suse.de
- add nepomuk library to the filelist
* Tue Oct 30 2007 dmueller@suse.de
- update to 3.95
* Thu Oct 18 2007 dmueller@suse.de
- update to 3.94.1 snapshot
* Thu Oct 18 2007 dmueller@suse.de
- fix QCA2 pkgconfig detection
* Tue Oct 16 2007 dmueller@suse.de
- Require avahi-compat-mDNSResponder-devel instead of libavahi-devel
* Thu Oct 11 2007 sbrabec@suse.cz
- Require libavahi-devel instead of mDNSResponder-devel.
* Mon Oct  8 2007 dmueller@suse.de
- update to KDE 4.0 Beta3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720093
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717236
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712047
* Thu Aug 30 2007 dmueller@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn704014
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700733
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697324
* Tue Aug  7 2007 coolo@suse.de
- take the SVN commit that adapts to new strigi
* Thu Aug  2 2007 dmueller@suse.de
- fix kdeprint_management soname
* Sat Jul 28 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Mon Jul 16 2007 stbinner@suse.de
- add patch to change back the generic library version to be in sync
  with the major KDE version and instead define an override for those
  libraries that clash (SVN commit 688504)
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn672297
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn672297, run fdupes
* Mon Jun 11 2007 dmueller@suse.de
- fix kdeinit not finding kdeinit4 modules on x86_64
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn672297
* Fri Jun  1 2007 coolo@suse.de
- update to 3.90.1.svn670163
* Fri Jun  1 2007 coolo@suse.de
- use kde4-filesystem's macros for easier spec file
* Wed May 30 2007 coolo@suse.de
- let other packages follow kdelibs's guidance on installation paths
* Tue May 29 2007 coolo@suse.de
- fix installation paths
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668118
* Tue May 15 2007 stbinner@suse.de
- own more basic directories
* Sat May 12 2007 stbinner@suse.de
- fix build
* Fri May 11 2007 dmueller@suse.de
- libkdeinit -> libkdeinit4
* Thu May 10 2007 stbinner@suse.de
- own some more icon directories
* Tue May  8 2007 stbinner@suse.de
- added a missing dependency
* Mon May  7 2007 stbinner@suse.de
- update to new SVN snapshot (roughly KDE 4.0 Alpha)
* Mon Apr 30 2007 ro@suse.de
- added unzip to buildrequires
* Thu Apr 26 2007 stbinner@suse.de
- initial package in abuild
